Are there plans to include Puppet 4 Server in the Advanced Systems Management Module? Puppet 5 has been announced, while my SLES 12 SP3 machines still show Puppet Server 3.8 as the newest supported version. Puppet 3 to 4 introduced breaking changes in their language.